Your best friend for file transfer.

Fetch application logoFetch

Fetch.app Needs to be Updated. (8 posts)

  • Started 4 months ago by Kirk Voclain
  • Latest reply 5 days ago from Jim Matthews
  • Kirk Voclain Member

    I just updated to macOS Catalina version 10.15 Beta (19A501i).

    I am getting this message when I try to run the latest version of Fetch:

    Fetch.app needs to be updated.

    WHEN CAN I USE THIS AGAIN?????

    Kirk

    Posted 4 months ago #

  • Jim Matthews Administrator

    I'm working on Fetch 5.8, a 64-bit version for macOS 10.15 Catalina. I hope to have something ready before 10.15's official (non-beta) release. If you'd like to test early releases of Fetch 5.8 you can sign up at

    https://mailchi.mp/d007f56b91b3/fetch64beta

    and I'll be in touch when there's something to test.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 4 months ago #

  • Brianna Dauenhauer Member

    Hi! I just updated to MacOS Catalina and need to be able to download the Fetch 5.8 Beta. The mailchimp link in the message board wasn't working any longer. Thank you for your time and help!

    Posted 2 weeks ago #

  • Jim Matthews Administrator

    Hi,

    The MailChimp link should still work (it just worked for me). Could you try it again?

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 2 weeks ago #

  • Julia Member

    The link to the beta version has me input my email address, then says that I am a member and then nothing else happens. How can I download the new beta version that is compatible with Catalina?

    Posted 2 weeks ago #

  • Jim Matthews Administrator

    Hi Julia,

    Please contact me at https://fetchsoftworks.com/fetch/feedback for the download link.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 2 weeks ago #

  • Ted Dixon Member

    Downloaded the update and installed as directed (dragging into my application folder). I am getting the below message:

    "Fetch" needs to be updated

    The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information.

    Posted 6 days ago #

  • Jim Matthews Administrator

    Hi,

    You can get a Catalina-compatible beta version of Fetch 5.8 by going to

    https://mailchi.mp/d007f56b91b3/fetch64beta

    to sign up as a beta tester.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 5 days ago #

Reply

  • Or nickname, if you prefer.
  • This will be kept confidential.
  • This is to ensure that you’re a person, not a spambot.